Classes | List of all members
clan::FileSystem Class Reference
clanCore I/O Data

Virtual File System (VFS). More...

`#include <file_system.h>`

## Public Member Functions
Construction
| FileSystem ()
| Constructs a file system. More...
| FileSystem (FileSystemProvider *provider)
| Constructs a FileSystem. More...
| FileSystem (const std::string &path, bool is_zip_file=false)
| Constructs a FileSystem. More...
| ~FileSystem ()
Attributes
bool | is_null () const
| Returns true if the file system is null. More...
bool | is_mount (const std::string &mount_point)
| Returns true if a path is a mount point. More...
DirectoryListing | get_directory_listing (const std::string &path_rel)
| Return directory listing for path. More...
bool | has_file (const std::string &filename)
| Return true if the root of the filesystem contains the specified file. More...
bool | has_directory (const std::string &directory)
| Return true if the root of the filesystem contains the specified directory. More...
FileSystemProvider * | get_provider ()
| Returns the file source for this file system. More...
std::string | get_path () const
| Returns a path to the file source for this file system. More...
std::string | get_identifier () const
| Get the identifier of this file source. More...
Operations
IODevice | open_file (const std::string &filename, File::OpenMode mode=File::open_existing, unsigned int access=File::access_read, unsigned int share=File::share_all, unsigned int flags=0) const
| Opens a file. More...
void | mount (const std::string &mount_point, FileSystem fs)
| Mounts a file system at mount point. More...
void | mount (const std::string &mount_point, const std::string &path, bool is_zip_file)
| Mounts a file system at mount point. More...
void | unmount (const std::string &mount_point)
| Unmount a file system. More...

## Detailed Description

Virtual File System (VFS).

The documentation for this class was generated from the following file:

- file_system.h